Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354330 - LDC has not been packaged for F25
Summary: LDC has not been packaged for F25
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ldc
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MERCIER Jonathan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 06:55 UTC by Russel Winder
Modified: 2016-10-26 22:29 UTC (History)
4 users (show)

Fixed In Version: ldc-0.17.2-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 22:29:59 UTC


Attachments (Terms of Use)

Description Russel Winder 2016-07-11 06:55:18 UTC
The version of the ldc and it's directly associated packages in the Rawhide repository is 0.16 built for f24. There needs to be a f25 rebuild and the version upstream is now 1.1.0.

Comment 1 David Nadlinger 2016-07-11 10:36:47 UTC
Upstream dev here. The latest official release is 1.0, not 1.1 – the latter is still in preparation. But yes, it would be great to see the Fedora package updated, as we have been directly getting multiple requests along those lines from users. (We do offer standalone release archives as a fallback, but that's obviously not the way to go in many respects.)

Comment 2 David Nadlinger 2016-07-11 10:46:46 UTC
(I meant my previous comment to imply that we would be happy to help if there are things we can do on our end to streamline the release process. As far as I'm aware, there shouldn't be anything out of the ordinary compared to your typical FOSS project, though.)

Comment 3 Jan Kurik 2016-07-26 04:06:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 4 Russel Winder 2016-08-15 06:27:37 UTC
The problem remains in F26, the current 0.16.1-77 package is for F24.

Comment 5 Kalev Lember 2016-10-24 19:22:41 UTC
I'm usually not working on ldc packaging, but I'm doing a quick drive-by update here to 0.17.2. Updating to 1.0 and 1.1 is a bit bigger thing to do as it requires bootstrapping from 0.17.x first; I'll leave it for the package maintainer (MERCIER Jonathan) for now. Not sure if he's still around though; I didn't get a reply to a private email I sent last week.

As for upstream help, looks like aarch64 support is missing in ldc, any chance this could get added upstream? That would very helpful from Fedora's point of view. Thanks.

Comment 6 Fedora Update System 2016-10-26 04:24:47 UTC
avgtime-0.5.1-0.3.git20150501.fc25, derelict-3-35.20150730git10a517b.fc25, dustmite-1-27.20150515git3498068.fc25, gl3n-1.2.0-17.fc25, gtkd-3.3.1-1.fc25, ldc-0.17.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b869fe6f77

Comment 7 Fedora Update System 2016-10-26 22:29:59 UTC
avgtime-0.5.1-0.3.git20150501.fc25, derelict-3-35.20150730git10a517b.fc25, dustmite-1-27.20150515git3498068.fc25, gl3n-1.2.0-17.fc25, gtkd-3.3.1-1.fc25, ldc-0.17.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.